package models

import (
	"eta/eta_chart_lib/global"
	"eta/eta_chart_lib/utils"
	"time"
)

// ShareChartRefreshLog 分享图表的日志
type ShareChartRefreshLog struct {
	//Id         int    `orm:"column(id);pk"`
	Id         int    `gorm:"column:id;primaryKey"`
	Ip         string `description:"来源ip"`
	ChartId    int    `description:"图表分类id"`
	CreateTime time.Time
}

// AddShareChartRefreshLog 添加日志
func AddShareChartRefreshLog(item *ShareChartRefreshLog) (lastId int64, err error) {
	//o := orm.NewOrmUsingDB("data")
	err = global.DbMap[utils.DbNameIndex].Create(&item).Error
	if err != nil {
		return
	}
	lastId = int64(item.Id)
	//lastId, err = o.Insert(item)
	return
}
